Bug 37250 - kernel BUG at /var/build/temp/tmp.oGo16h3IFZ/pbuilder/linux-3.10.11/fs/ext2/inode.c:635
kernel BUG at /var/build/temp/tmp.oGo16h3IFZ/pbuilder/linux-3.10.11/fs/ext2/i...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Kernel
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 3.2-4-errata
Assigned To: Moritz Muehlenhoff
Janek Walkenhorst
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-09 07:40 CET by Stefan Gohmann
Modified: 2014-12-17 13:13 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-12-09 07:40:18 CET
The test case 53_samba-common/50quota reproduce a kernel trace. Thus, the test run gets stuck:

root     25640  0.0  0.4  73664 16044 pts/0    S+   01:27   0:00  |       \_ /usr/bin/python /usr/share/ucs-test/runner bash /usr/share/ucs-test/53_samba-common/50quota -f
root     25757  0.0  0.0  12776  2100 pts/0    S+   01:27   0:00  |           \_ /bin/bash 50quota
root     26502  0.0  0.0  11068   604 pts/0    D+   01:28   0:00  |               \_ dd if=/dev/zero of=/mnt/bnslbdep/file0 bs=1M count=1 seek=0


[36588917.786855] ------------[ cut here ]------------
[36588917.786869] kernel BUG at /var/build/temp/tmp.oGo16h3IFZ/pbuilder/linux-3.10.11/fs/ext2/inode.c:635!
[36588917.786877] invalid opcode: 0000 [#1] SMP
[36588917.786883] Modules linked in: xfs libcrc32c loop parport_pc ppdev lp parport ip6t_REJECT ipt_REJECT xt_tcpudp nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_mangle ip6table_filter ip6_tables xt_state iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_filter ip_tables x_tables rpcsec_gss_krb5 nfsd nfs_acl auth_rpcgss oid_registry nfs fscache dns_resolver lockd sunrpc quota_v2 quota_tree evdev snd_pcm snd_timer snd soundcore crc32c_intel snd_page_alloc pcspkr ext4 jbd2 crc16 dm_snapshot dm_mirror dm_region_hash dm_log dm_mod xen_blkfront xen_netfront
[36588917.786953] CPU: 0 PID: 26498 Comm: quota Not tainted 3.10.0-ucs107-amd64 #1 Debian 3.10.11-1.107.201411281532
[36588917.786962] task: ffff8800e95e2040 ti: ffff8800e901e000 task.ti: ffff8800e901e000
[36588917.786969] RIP: e030:[<ffffffff8117b93f>]  [<ffffffff8117b93f>] ext2_get_blocks+0x3f/0x770
[36588917.786983] RSP: e02b:ffff8800e901f808  EFLAGS: 00010246
[36588917.786988] RAX: 0000000000000400 RBX: ffff880099864400 RCX: ffff8800e901f9a8
[36588917.786994] RDX: 0000000000000000 RSI: 0000000000000005 RDI: ffff880099864400
[36588917.787001] RBP: ffff880099864400 R08: 0000000000000001 R09: ffff8800e84347b0
[36588917.787007] R10: 0000000000007ff0 R11: ffff8800e95e2088 R12: ffff8800e901f9a8
[36588917.787013] R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000005
[36588917.787023] FS:  00007f84a57fc700(0000) GS:ffff8800ef600000(0000) knlGS:0000000000000000
[36588917.787030] CS:  e033 DS: 0000 ES: 0000 CR0: 000000008005003b
[36588917.787035] CR2: 00007f84a532ab50 CR3: 00000000e78b6000 CR4: 0000000000002660
[36588917.787041] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[36588917.787048] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[36588917.787054] Stack:
[36588917.787057]  ffff8800e9d45f14 ffff8800e95e2040 00000001e84347b0 0000000000000000
[36588917.787066]  0000000000000000 0000000000000000 ffff8800ef611380 ffff8800e95e2088
[36588917.787075]  ffff8800e9d45f14 0000000000000005 ffff8800e95e2040 ffffffff8100c807
[36588917.787083] Call Trace:
[36588917.787093]  [<ffffffff8100c807>] ? __switch_to+0x235/0x3cb
[36588917.787102]  [<ffffffff8106d308>] ? pick_next_task_fair+0xeb/0x13b
[36588917.787109]  [<ffffffff8106a209>] ? finish_task_switch+0x54/0xc6
[36588917.787119]  [<ffffffff813cc163>] ? __schedule+0x509/0x536
[36588917.787125]  [<ffffffff8117c096>] ? ext2_get_block+0x26/0x40
[36588917.787132]  [<ffffffff8117e7c6>] ? ext2_quota_write+0x78/0x1be
[36588917.787141]  [<ffffffff81143ad7>] ? __bread+0x4c/0x62
[36588917.787147]  [<ffffffff8117d1cd>] ? ext2_quota_read+0xf2/0x120
[36588917.787154]  [<ffffffff8110afa6>] ? __cache_free+0x187/0x196
[36588917.787163]  [<ffffffffa00e6105>] ? getdqbuf+0xb/0x26 [quota_tree]
[36588917.787170]  [<ffffffff8110c4fc>] ? __kmalloc+0xde/0xf0
[36588917.787177]  [<ffffffffa00e6048>] ? write_blk+0x29/0x62 [quota_tree]
[36588917.787185]  [<ffffffffa00e6d15>] ? do_insert_tree+0x254/0x33f [quota_tree]
[36588917.787194]  [<ffffffffa00e6d8c>] ? do_insert_tree+0x2cb/0x33f [quota_tree]
[36588917.787201]  [<ffffffff8110c4fc>] ? __kmalloc+0xde/0xf0
[36588917.787208]  [<ffffffffa00e6d8c>] ? do_insert_tree+0x2cb/0x33f [quota_tree]
[36588917.787215]  [<ffffffff8110c4fc>] ? __kmalloc+0xde/0xf0
[36588917.787224]  [<ffffffffa00e6d8c>] ? do_insert_tree+0x2cb/0x33f [quota_tree]
[36588917.787234]  [<ffffffff8110c4fc>] ? __kmalloc+0xde/0xf0
[36588917.787244]  [<ffffffffa00e6e60>] ? qtree_write_dquot+0x60/0x200 [quota_tree]
[36588917.787257]  [<ffffffff8116250c>] ? dquot_acquire+0x91/0xf3
[36588917.787267]  [<ffffffff81163da1>] ? dqget+0x3bc/0x40b
[36588917.787276]  [<ffffffff811640a3>] ? dquot_get_dqblk+0xe/0xea
[36588917.787282]  [<ffffffff8116591c>] ? quota_getquota+0x7f/0x12c
[36588917.787290]  [<ffffffff81127f1c>] ? path_lookupat+0x285/0x2ec
[36588917.787299]  [<ffffffff81004e58>] ? pte_mfn_to_pfn+0x17/0x42
[36588917.787306]  [<ffffffff810046c9>] ? __raw_callee_save_xen_pmd_val+0x11/0x1e
[36588917.787313]  [<ffffffff81127fed>] ? filename_lookup+0x6a/0x79
[36588917.787320]  [<ffffffff8112857f>] ? kern_path+0x41/0x5e
[36588917.787326]  [<ffffffff81165d81>] ? do_quotactl+0x2fe/0x408
[36588917.787335]  [<ffffffff8111e944>] ? get_super+0x54/0x9d
[36588917.787341]  [<ffffffff8111e9bb>] ? get_super_thawed+0x2e/0xd0
[36588917.787347]  [<ffffffff8110afa6>] ? __cache_free+0x187/0x196
[36588917.787353]  [<ffffffff8112e321>] ? dput+0x29/0xea
[36588917.787359]  [<ffffffff81165ffa>] ? SyS_quotactl+0x16f/0x1ad
[36588917.787369]  [<ffffffff813d2ae9>] ? system_call_fastpath+0x16/0x1b
[36588917.787374] Code: 81 ec 18 01 00 00 48 85 d2 48 89 74 24 48 44 89 44 24 14 c7 84 24 0c 01 00 00 fb ff ff ff c7 84 24 08 01 00 00 00 00 00 00 75 04 <0f> 0b eb fe 48 8d ac 24 e0 00 00 00 48 8b 74 24 48 48 8d 8c 24
[36588917.787419] RIP  [<ffffffff8117b93f>] ext2_get_blocks+0x3f/0x770
[36588917.787427]  RSP <ffff8800e901f808>
[36588917.787434] ---[ end trace dfe110eb1c850e1e ]---

A test run with the previous kernel 3.10.0-ucs81-amd64 was successful.
Comment 1 Stefan Gohmann univentionstaff 2014-12-09 07:48:24 CET
I've disabled the ext2 test: r56564. Please undo the change once the bug has been fixed.
Comment 2 Moritz Muehlenhoff univentionstaff 2014-12-09 07:49:02 CET
This is caused by this commit was merged in 3.10.56:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=7ba3ec5749ddb61f79f7be17b5fd7720eebc52de
Comment 3 Moritz Muehlenhoff univentionstaff 2014-12-11 12:12:34 CET
This patch is missing in the 3.10.x stable tree:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=df4e7ac0bb70abc97fbfd9ef09671fc084b3f9db
Comment 4 Moritz Muehlenhoff univentionstaff 2014-12-11 12:43:36 CET
We'll fix this in the next kernel update in 3.2 (the missing patch should be merged into 3.10.x by then, otherwise we pick it up manually)
Comment 5 Moritz Muehlenhoff univentionstaff 2014-12-16 13:17:10 CET
Will be fixed along with Bug 37143
Comment 6 Moritz Muehlenhoff univentionstaff 2014-12-17 10:09:51 CET
Fixed. I've updated to 3.10.62 and added the ext2/quota patch on top.

YAML files:  
2014-12-16-univention-kernel-image.yaml
2014-12-16-linux.yaml
Comment 7 Janek Walkenhorst univentionstaff 2014-12-17 13:01:34 CET
Patch included